#include "ewma.h"

void CEWMA::init(float alpha) 
{
  this->alpha = alpha;
}

void CEWMA::run(float* input, float* output)
{
  q = *input * alpha + q * (1-alpha);
  *output = q;
}

void CEWMA::set(float value)
{
  q = value;
}
